<script setup>

    import { date_manager } from '~/adapters/date_manager.js';
    import { Date } from '~/adapters/date.js';

    const props = defineProps({
        is_multiple: {
            type: Boolean,
            required: true
        }
    });

    const show_remove_button = computed(() => {
        return (props.is_multiple && date_manager.getList().length > 1);
    })

    function addDate() {
        date_manager.register(new Date());
    }
    function removeDate() {
        if(date_manager.getList().length > 1) {
            date_manager.removeByIndex(date_manager.getList().length - 1);
        }
    }
    
</script>
<template>
    <div class="flex flex-col space-y-4 items-center">
        <div class="flex flex-col">
            <FormDateTab v-for="(date, index) in date_manager.getList()" @click="date_manager.setActiveDate(index)" :date="date.display()" :is_active="date.is_active" :position="index" />
        </div>
        <ButtonAdd v-if="is_multiple" @click="addDate"/>
        <ButtonRemove v-if="show_remove_button" @click="removeDate" />
    </div>
</template>